SHELL=/bin/sh
BENCHMARK=ft
BENCHMARKU=FT

include ../config/make.def
include ../sys/make.common

SOURCES = ft.fdv

OBJS = ${SOURCES:.fdv=.o}

${PROGRAM}: config $(OBJS)
	${FLINK} -o ${PROGRAM} ${OBJS}

%.o: %.fdv npbparams.h global.h
	${F77} ${FFLAGS} -f90 -c -o $@ $<

clean:
	rm -f npbparams.h
	rm -f *.o *~
	rm -f *.cu *.cuf *.c *.f
